<div class="position-fixed bottom-0 end-0 p-3" style="z-index: 11">
  <div id="liveToast" class="toast show" role="alert" aria-live="assertive" aria-atomic="true">
    <div class="toast-header">
      <strong class="me-auto">Chat</strong>
      <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
    </div>
    <div class="toast-body">
        <div class="col" style="overflow-y: scroll;height: 250px;background-color: #ececec;border-radius: 3px;">
            <div *ngFor="let mensaje of mensajes">
                <div *ngIf="mensaje.tipo == 'servidor'" class="row m-3" style="background-color: #c7c7c7;border-radius: 3px;text-align: left;word-break: break-word;padding: 10px;">
                    {{mensaje.texto}}
                </div>
                <div *ngIf="mensaje.tipo == 'cliente'" class="row m-3" style="background-color: #2583ee;border-radius: 3px;text-align: right;word-break: break-word;padding: 10px;">
                    {{mensaje.texto}}
                </div>
            </div>
        </div>
        <br/>
        <div class="row">
            <div class="col-9">
                <input #mensaje type="text" class="form-control" placeholder="Escribre tu mensaje" />
            </div>
            <div class="col-1">
                <button type="button" class="btn btn-primary" (click)="onMessageSend();">Enviar</button>
            </div>
        </div>
    </div>
  </div>
</div>